.catalog {
    gap: 30px;
    margin-top: 50px;
    margin-bottom: 120px;
}

.catalog-controls {
    margin-top: 20px;
}

.catalog-controls__count {
    font-size: 15px;
    line-height: 15px;
    font-weight: 400;
    color: var(--gray);
}

.catalog-controls__grid {
    display: grid;
    grid-template-columns: 2fr 2fr 2.5fr 1fr;
    gap: 20px;
}

.list-grid {
    gap: 8px;
}

.list-grid__item {
    border-radius: 10px;
    width: 44px;
    height: 44px;
    padding: 14px;
    cursor: pointer;
    background-color: white;
    border: 1px solid var(--gray);
}

.grid-control {
    content: url(../images/svg/grid-gray.svg);
}

.list-control {
    content: url(../images/svg/list-gray.svg);
}

.list-grid__item.active {
    background-color: var(--dark-gray);
    border: 1px solid var(--gray-gray);
}

.grid-control.active {
    content: url(../images/svg/grid.svg);
}

.list-control.active {
    content: url(../images/svg/list.svg);
}

.catalog-items {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.catalog-items.list {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.catalog-item,
.catalog-item__content,
.catalog-item__text {
    display: flex;
    flex-direction: column;
}

.catalog-item__content img {
    height: 215px;
    object-fit: cover;
    width: 100%;

}

.catalog-item {
    gap: 30px;
    border-radius: 20px;
    background-color: white;
    height: auto;
    overflow: hidden;
    position: relative;
}

.catalog-item button {
    margin: 0 50px 30px 30px;
    height: 60px;
}

.catalog-item__text {
    gap: 50px;
    padding: 30px;
}

.catalog-item__text h6,
.catalog-item__text h4 {
    font-weight: 600;
}

.catalog-controls__top {
    display: grid;
    grid-template-columns: repeat(2, 50%);
    gap: 10px;
    position: relative;
    margin-top: 20px;
}

.catalog-controls__top div {
    position: relative;
}

.catalog-controls__top div:first-of-type:before {
    content: 'От';
}

.catalog-controls__top div:last-of-type:before {
    content: 'До';
}

.catalog-controls__top input {
    padding: 10px 15px;
    border-radius: 100px;
    background-color: #F5F5F6;
    max-width: 100%;
    border: 1px solid #F5F5F6;
}

.catalog-controls__top input:focus {
    background-color: transparent;
    border: 1px solid var(--blue);
}

.catalog-controls__top div::before {
    position: absolute;
    left: 0;
    top: -20px;
    font-size: 14px;
    line-height: 14px;
    font-weight: 400;
    color: var(--gray);
}


.controls__item .controls__dropdown {
    gap: 30px;
    padding: 20px;
    width: 300px;
}

.catalog-controls__top input {
    -moz-appearance: textfield;
    -webkit-appearance: none;
    appearance: none;
}

.catalog-controls__top input::-webkit-inner-spin-button,
.catalog-controls__top input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.catalog-controls__btns {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}

.catalog-controls__btns button {
    height: 50px;
    font-size: 14px;
    font-weight: 500;
    margin-top: 0;
}

@media (max-width: 768px) {
    .catalog {
        margin-bottom: 80px;
    }

    .catalog-controls {
        flex-direction: column;
        align-items: start;
        gap: 20px;
    }

    .list-grid {
        display: none;
    }

    .catalog-items {
        grid-template-columns: 1fr;
    }

    .catalog-controls__grid {
        grid-template-columns: 1fr 1fr 2fr;
    }

    .catalog-item button {
        margin: 0 30px 30px 30px;
    }
}

@media (max-width: 576px) {
    .catalog button {
        height: 70px;
        margin-top: 30px;
    }

    .catalog-controls__grid {
        display: flex;
        gap: 0;
    }

    .catalog-controls__btns button {
        height: 40px;
    }

    .catalog-item button {
        margin: 0 25px 30px 25px;
    }

    .catalog-item__text {padding: 25px;}

    .catalog {margin-top: 60px;}

    .catalog-item__content img {height: 160px;}
}